package com.engine.organization.entity.department.vo;

import com.cloudstore.eccom.pc.table.WeaTableType;
import com.engine.organization.annotation.OrganizationTable;
import com.engine.organization.annotation.TableTitle;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/5/20
 * @Version V1.0
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@OrganizationTable(pageId = "01b397a9-638b-4d58-89c7-4a1d17f98656",
        tableType = WeaTableType.NONE)
public class SingleDeptTreeVO {

    private Long id;

    @TableTitle(title = "部门名称", dataIndex = "deptName", key = "deptName")
    private String deptName;

    @TableTitle(title = "上级部门", dataIndex = "parentDeptName", key = "parentDeptName")
    private String parentDeptName; //上级部门

    @TableTitle(title = "部门负责人", dataIndex = "deptPrincipalName", key = "deptPrincipalName")
    private String deptPrincipalName; //部门负责人

    //子节点
    private List<SingleDeptTreeVO> children;



}
