package com.engine.organization.entity.extend.bo;

import com.api.hrm.bean.FieldItem;
import com.api.hrm.util.FieldType;
import com.engine.organization.entity.extend.po.ExtendInfoPO;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/05/19
 * @version: 1.0
 */
public class ExtendInfoBO {

    // 封装对象为table组件
    public static List<Map<String, Object>> convertInfoListToTable(List<ExtendInfoPO> infoPOList, int viewAttr, boolean showLabel) {
        List<Map<String, Object>> lsCol = new ArrayList<Map<String, Object>>();
        Map<String, Object> col = null;

        int width = 100 / infoPOList.size();
        for (int i = 0; infoPOList != null && i < infoPOList.size(); i++) {
            ExtendInfoPO extendInfoPO = infoPOList.get(i);
            String tmpkey = extendInfoPO.getFieldName();
            col = new HashMap<String, Object>();
            col.put("title", extendInfoPO.getFieldNameDesc());

            col.put("key", tmpkey);
            col.put("dataIndex", tmpkey);
            col.put("com", getFieldDetialInfo(extendInfoPO, viewAttr, showLabel, width));

            col.put("width", width + "%");

            lsCol.add(col);
        }
        return lsCol;

    }


    /**
     * 明细表字段
     *
     * @param extendInfoPO
     * @param viewAttr
     * @return
     */
    private static List<FieldItem> getFieldDetialInfo(ExtendInfoPO extendInfoPO, int viewAttr, boolean showLabel, int width) {
        List<FieldItem> ls = new ArrayList<FieldItem>();
        FieldItem fieldItem = createField(extendInfoPO, viewAttr, showLabel, width);
        ls.add(fieldItem);
        return ls;
    }

    /**
     * 创建列表字段信息
     *
     * @param extendInfoPO
     * @param viewAttr
     * @param showLabel
     * @param width
     * @return
     */
    private static FieldItem createField(ExtendInfoPO extendInfoPO, int viewAttr, boolean showLabel, int width) {
        FieldItem fieldItem = new FieldItem();
        if (showLabel) {
            fieldItem.setLabel(extendInfoPO.getFieldNameDesc());
        } else {
            fieldItem.setLabel("");
        }

        fieldItem.setType(getFieldhtmltype(extendInfoPO.getControlType() + ""));
        fieldItem.setKey(extendInfoPO.getFieldName());
        // 查看操作 全部设置为只读
        if (1 == viewAttr) {
            fieldItem.setViewAttr(viewAttr);
        } else {
            // 必填
            if (1 == extendInfoPO.getIsrequired()) {
                fieldItem.setViewAttr(3);
                fieldItem.setRules("required|string");
            } else {
                fieldItem.setViewAttr(2);
            }
        }

        fieldItem.setWidth(width + "%");
        return fieldItem;
    }

    /**
     * 获取对应的控件类型
     *
     * @param fieldhtmltype
     * @return
     */
    public static FieldType getFieldhtmltype(String fieldhtmltype) {
        FieldType fieldtype = null;
        if (fieldhtmltype.equals("1")) {
            fieldtype = FieldType.INPUT;
        } else if (fieldhtmltype.equals("2")) {
            fieldtype = FieldType.TEXTAREA;
        } else if (fieldhtmltype.equals("3")) {
            fieldtype = FieldType.BROWSER;
        } else if (fieldhtmltype.equals("4")) {
            fieldtype = FieldType.CHECKBOX;
        } else if (fieldhtmltype.equals("5")) {
            fieldtype = FieldType.SELECT;
        } else if (fieldhtmltype.equals("6")) {
            fieldtype = FieldType.FILEUPLOAD;
        } else if (fieldhtmltype.equals("7")) {
            fieldtype = FieldType.TEXT;
        }
        return fieldtype;
    }
}
