package com.engine.organization.web;

import com.engine.common.util.ServiceUtil;
import com.engine.organization.entity.department.param.QuerySingleDeptListParam;
import com.engine.organization.util.response.ReturnResult;
import com.engine.organization.wrapper.DepartmentWrapper;
import io.swagger.v3.oas.annotations.parameters.RequestBody;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/5/20
 * @Version V1.0
 **/
public class DepartmentController {

    private DepartmentWrapper getDepartmentWrapper(User user) {
        return ServiceUtil.getService(DepartmentWrapper.class,user);
    }


    @POST
    @Path("/getDeptListByPid")
    @Produces(MediaType.APPLICATION_JSON)
    public ReturnResult getDeptListByPid(@Context HttpServletRequest request, @Context HttpServletResponse response,
                                         @RequestBody QuerySingleDeptListParam querySingleDeptListParam) {
        try {
            User user = HrmUserVarify.getUser(request, response);
            return getDepartmentWrapper(user).getDeptListByPid(querySingleDeptListParam);
        }catch (Exception e) {
            return ReturnResult.exceptionHandle(e.getMessage());
        }
    }
}
